Skip to content

List all OS accounts for a device

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.devices.read

Lists all OS accounts for a device by deviceId

Path
deviceIdstringrequired

id of the device

Example:guo4a5u7JHHhjXrMK0g4
Query
expandArray of strings

Comma-separated list of related resources to include in the _embedded attribute. Supported values are users and account_linked_enrollments.

Items Enum:"users""account_linked_enrollments"
Example:expand=users&expand=account_linked_enrollments
GET
/api/v1/devices/{deviceId}/os-accounts
curl -i -X GET \
  'https://subdomain.okta.com/api/v1/devices/guo4a5u7JHHhjXrMK0g4/os-accounts?expand=users%2Caccount_linked_enrollments'

Responses

Success

Bodyapplication/json
Array [
createdstring, (date-time)read-onlyrequired

Timestamp when the OS account was created

deviceIdstringread-onlyrequired

Unique identifier of the device this OS account belongs to

idstringread-onlyrequired

Unique identifier for the OS account

lastSeenAtstring or null, (date-time)

Timestamp when the OS account was last seen

lastUpdatedstring, (date-time)read-onlyrequired

Timestamp when the OS account was last updated

platformstring(OSAccountPlatform)required

OS platform for OS accounts (desktop platforms only)

Enum ValueDescription
MACOS

macOS operating system

WINDOWS

Windows operating system

Discriminator
resourceAlternateIdstring or nullread-only
resourceDisplayNameobject(OSAccountDisplayName)

Display name of the OS account

resourceIdstringread-only

Alternate key for the id

resourceTypestringread-only
Default:"DOSAccount"
statusstringrequired

Status of the OS account

Enum:"ACTIVE""DELETED"
_embeddedobject(OSAccountEmbedded)

Embedded resources related to the OS account

profileobject(WindowsOSAccountProfile)required
]
Response
[ { "id": "dao3qgkIEKjhNZudR0g4", "deviceId": "guo4a5u7JHHhjXrMK0g4", "created": "2026-01-19T17:22:30.000Z", "lastUpdated": "2026-01-19T17:22:30.000Z", "platform": "WINDOWS", "profile": {}, "status": "ACTIVE", "lastSeenAt": "2026-04-09T17:22:56.000Z", "resourceAlternateId": null, "resourceDisplayName": {}, "resourceId": "dao3qgkIEKjhNZudR0g4", "resourceType": "DOSAccount", "_embedded": {}, "_links": {} } ]